苹果的这个决定要让iPhone4s的用户郁闷了

来源:2020-06-28 20:12:02

  在iOS9中,开发者可以移除对旧款iOS设备的支持。虽然iOS9能在所有可以安装iOS8系统的设备上运行,但应用开发者可以自由的选择更严格的兼容性需求。

  事实上,iOS9中开发者可以选择让他们的应用只在64位架构上运行。这意味着所有iPod touch、iPhone5s之前的所有iPhone和iPad Air之前的所有iPad都无法安装需要64位架构CPU的应用。

  苹果在2013年发布的iPhone5s中开始使用64位架构处理器。开发者经常抱怨支持旧款平台非常困难。在iOS9中,开发者可以更自由的选择支持的设备将简化应用开发。如果开发者启用了该功能,使用旧款iOS设备的顾客浏览App Store时,将无法找到不支持自己设备的应用。这也意味着他们不能下载和安装这些应用。

  苹果在今年的WWDC上展示了64位架构处理器最近两年对GPU性能的提升。虽然开发者对于新功能可能非常开心,那些没有64位设备的iPhone和iPad用户可能会比较郁闷,因为开发者会开始积极的移除对旧款iOS设备的支持。

冠生资讯网